%1 - INITIALIZE UQLAB
clearvars
rng(1,'twister')
uqlab

% 2 - COMPUTATIONAL MODEL WITH UQLINK (WRAPPER OF ABAQUS)
ModelOpts.Type = 'UQLink';
ModelOpts.Name = 'APDL1';
ModelOpts.Command = 'ANSYS190.exe -b -i Bar.lgw -o PRNSOL.dat';
ModelOpts.Template = 'Bar.lgw.tpl';
ModelOpts.Output.FileName = 'PRNSOL.dat';
ModelOpts.Output.Parser = 'readabaqusOutput';
ModelOpts.ExecutionPath = fullfile('D:\',...
    'APDL1') ;
ModelOpts.Format = {'%.3f'};
ModelOpts.Display = 'quiet';
myUQLinkModel = uq_createModel(ModelOpts);

% 3 - PROBABILISTIC INPUT MODEL
InputOpts.Marginals(1).Name = 'E';  % Young's modulus of the column
InputOpts.Marginals(1).Type = 'Gaussian';
InputOpts.Marginals(1).Moments = [200e9 0.1*200e9];

InputOpts.Marginals(2).Name = 'v';  % length of the column
InputOpts.Marginals(2).Type = 'Gaussian';
InputOpts.Marginals(2).Moments = [0.3 0.1*0.3];

InputOpts.Marginals(3).Name = 'F';  % Young's modulus of the column
InputOpts.Marginals(3).Type = 'Gaussian';
InputOpts.Marginals(3).Moments = [1000 0.1*1000];

% Create an INPUT object based on the specified marginals:
myInput = uq_createInput(InputOpts);


X = uq_getSample(3,'LHS');
Y = uq_evalModel(myUQLinkModel,X);


